function modu = assess_cluster(A,cidx)

n = length(A);
nc = max(cidx);        % #clusters
w = zeros(nc);         % sum of weights between clusters
nk = zeros(nc,1);      % #nodes in clusters
for i=1:n
    nk(cidx(i)) = nk(cidx(i)) +1;
    for j=i+1:n
        w(cidx(i),cidx(j)) = w(cidx(i),cidx(j)) + A(i,j);
    end
end
w = w + w';
w1 = (sum(w))';
wtotal = sum(w1);         

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%           Newman-Girvan modularity
%
%            W(k,k) * Wtotal - W1(k)^2 
%     SUM ------------------------------
%                  Wtotal^2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
r = diag(w)/wtotal - w1.^2/wtotal^2;
modu = sum(r);

