function cidx = dcluster(V,nc,method)
[n0 k] = size(V);

P = V(:,2:nc)*V(:,2:nc)';
r = diag(P)*n0/nc;
I = find(r>-1);
P=P(I,I);
if nargin==3 && strcmp(method,'cosine')
    % This has converted it from Euclidean distance into
    % Angular distance.
    D = diag(1./sqrt(diag(P)));
    P = D*P*D;
end
n=length(I);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

D=zeros(n);
for i=1:n-1
    for j=i+1:n
        D(i,j)=P(i,i)+P(j,j)-2*P(i,j);
        D(j,i)=D(i,j);
    end
end
dist=squareform(D);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

%clear P D
Z=linkage(dist,'complete');
ix = cluster(Z,'maxclust',nc);
cidx = ones(n0,1)*(nc +1);

% If you want to excude the kmeans method,exclude the following comment.
%ix = kmeans(D,nc);

for ic=1:max(ix)
    J = find(ix==ic);
    cidx( I(J) ) = ic;
end


