function degree(A)

D = diag(sum(A));%degree
n=length(D);%number of nodes
nD = 0;%number of total degree
d_max = 0;%max degree

for i=1:n
    nD = nD + D(i,i);
    if d_max < D(i,i)
        d_max = D(i,i);
    end
end
z = zeros(d_max,2);

for i=1:d_max
    z(i,1) = i;
    for j=1:n
        if D(j,j) == i
            z(i,2) = z(i,2) + 1;
        end
    end
end

k=1;m_deg=0;
for i=1:d_max
    if z(i,2) ~= 0
        k=k+1;
        m_deg = m_deg + z(i,2)*i;
    end
end
m_deg = m_deg / n;
fprintf('Mean of degree=%.3f\n',m_deg);
x=size(k,2);k=0;
for i=1:d_max
    if z(i,2) ~= 0
        k=k+1;
        x(k,2) = z(i,2)/n;
        x(k,1) = i;   
    end
end

x=log(x);
figure;
loglog(x(:,1),x(:,2),'o');
title('Degree distribution');
xlabel('Degree [k]','FontSize',15,'FontName','Arial');
ylabel('Probability [P(k)]','FontSize',15,'FontName','Arial');
set(gca,'LineWidth',2,'FontSize',15,'FontName','Arial');
